PhPbb3 and Php4.4.4

 
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    php|uber.leet Forum Index // General
View previous topic :: View next topic  
Author Message
Mell



Joined: 29 Dec 2007
Posts: 2

PostPosted: Sat Dec 29, 2007 5:06 pm    Post subject: PhPbb3 and Php4.4.4 Reply with quote
Somewhere I read a statement in regards to this extention that PHPbb3 does not run on php4.4.4. It is running fine for me on Php4.4.4.

Some of us will continue to use php4 for awhile longer. Is it at all possible you would please update your wiki version for 1.6.10 wiki?

I understand if you do not wish to however it would be great for all of us still on php4.4.4.

Thank you for all you hard work on this extenions.

Mell
Back to top
View user's profile Send private message
root
Site Admin


Joined: 24 Jun 2005
Posts: 471

PostPosted: Sun Dec 30, 2007 5:11 pm    Post subject: Reply with quote
Hi Mell, I made that statement somewhere and it was a mistake. MW 1.11.x requires php5. Not phpBB3. Right now I do not plan to update the plug-in to work w/ MW 1.6.x and phpBB3. I am sure someone will make a post here on how to do it. (Hint: its not hard, just include and use the new hashing function w/ $H$)

If I get board I'll do it.
Back to top
View user's profile Send private message
Mell



Joined: 29 Dec 2007
Posts: 2

PostPosted: Mon Dec 31, 2007 6:36 pm    Post subject: Reply with quote
Coolios! I run a secure wiki and manually entering these people is being a real pain.

I really appreciate your reply. Smile

Yup, maybe someone will get bored. Wink

Happy New Year!

Mell
Back to top
View user's profile Send private message
fspsy



Joined: 15 Oct 2007
Posts: 7

PostPosted: Sun Jan 06, 2008 4:34 pm    Post subject: Reply with quote
I'm also looking for this. I've tried hard to make it funtion but couldn't succeed.
Back to top
View user's profile Send private message
lordscaffard



Joined: 24 Jan 2008
Posts: 1
Location: Rimini

PostPosted: Thu Jan 24, 2008 12:40 am    Post subject: Reply with quote
hi! I've the same your problem: i've php4.4.4 based hosting service, on which i run mediawiki 1.6 and phpBB3, and i'd like to run mediawiki_phpbb3_auth, too, to let my forum users with the right group ('Wiki') edit the wiki, too.

Have you resolved the problem?
I'm a programmer (java,c,perl) and i could work on phpbb3_auth PHP4 backward compatibility if the author could explain me what PHP5 features are needed by its mediawiki extension.

Any help?
Back to top
View user's profile Send private message
fspsy



Joined: 15 Oct 2007
Posts: 7

PostPosted: Thu Jan 24, 2008 4:35 pm    Post subject: Reply with quote
This is what joshuaali and me tried so far (without success). My inbox (Hope, this still makes a little sense to you):

Quote:
Replace
Code:
require_once("../testforum/includes/functions.php");

with
Code:
require_once realpath(dirname(__FILE__).'/../testforum/includes/functions.php');

-----

Time to test. Create a new file named test.php in your wiki directory.

In it, copy the following code:
Code:
<?php

echo realpath(dirname(__FILE__).'/../testforum/includes/functions.php');

?>


Save and go to test.php through your web browser. You should see something like /home/fspsy/public_html/testforum/includes/functions.php. If not, then we both have been making a mistake and you will have to adjust that path until you see it displayed (try going up another directory, i.e. add "../"). If you do change the path in the script and are able to see the real path through your browser, copy realpath(...); and replace the one in Auth_phpbb.php

I have assumed that the problem is that PHP cannot find functions.php (it's a shame error display isn't on).

-----

I think the path has to be relative to your wiki directory, not the extensions or AuthPhpBB directory (though I can be wrong). You should also be able to place that echo line above require_once() in Auth_phpBB.php for easier debugging.

-----

If you know the "real path" of functions.php (i.e. /basedir/public_html/testforum/includes/functions.php), you may want to take out:
Code:
realpath(dirname(__FILE__).'/../testforum/includes/functions.php')

and replace it with:
Code:
'/basedir/public_html/testforum/includes/functions.php'

Making the line look like:
Code:
require_once '/basedir/public_html/testforum/includes/functions.php');


And if that still doesn't work, you can probably copy functions.php to your wiki directory and let Auth_phpbb.php read off that instead. Dirty, but hey, we're desperate.
Back to top
View user's profile Send private message
root
Site Admin


Joined: 24 Jun 2005
Posts: 471

PostPosted: Sat Jan 26, 2008 3:01 am    Post subject: Reply with quote
Do not try and make auth 3.0 work on php4. A better approach is to take 2.6 and update it to work with phpBB3.
Back to top
View user's profile Send private message
fspsy



Joined: 15 Oct 2007
Posts: 7

PostPosted: Sat Jan 26, 2008 10:32 am    Post subject: Reply with quote
Well, wasn't that 2.6? Anyway, I'd need some help as I'm not a PHP pro.
Back to top
View user's profile Send private message
freegamer



Joined: 27 Mar 2008
Posts: 2

PostPosted: Fri Mar 28, 2008 9:41 am    Post subject: Reply with quote
Any news on this?

I really need this for several projects hosted on Sourceforge.
Back to top
View user's profile Send private message
This forum is locked: you cannot post, reply to, or edit topics.   This topic is locked: you cannot edit posts or make replies.    php|uber.leet Forum Index // General All times are GMT - 8 Hours
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum

alexisBlue v1.2 // Theme Created By: Andrew Charron and Web Hosting Bluebook
Powered by phpBB © 2001, 2002 phpBB Group